#
# spec file for package papirus-kamarada-icon-theme
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name       papirus-icon-theme
%define lvariant    kamarada
%define variant     Kamarada

# Material Design Colors:
# https://material.io/design/color/the-color-system.html

# Front color: Green 600
%define FrontColor  43A047
# Back color: Green 800
%define BackColor   2E7D32


Name:           papirus-%{lvariant}-icon-theme
Version:        20200801
Release:        lp152.1.1
Summary:        Papirus-%{variant} icon theme for Linux
License:        GPL-3.0-only
Group:          System/GUI/Other
URL:            https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  xmlstarlet
BuildRequires:  papirus-icon-theme = %{version}
Requires:       papirus-icon-theme = %{version}
Requires(post): gtk3-tools
BuildArch:      noarch


%description
Papirus is an SVG icon theme, based on Paper with a few extras like
hardcode-tray support, kde-color-scheme support, libreoffice icon theme, filezilla theme, smplayer themes ...)
and other modifications. The theme is available for GTK and KDE.

Papirus-%{variant} is a fork of Papirus customized with %{variant} colors.

This package contains the following icon themes:

ePapirus-%{variant}
Papirus-%{variant}
Papirus-%{variant}-Dark
Papirus-%{variant}-Light


%prep


%build


%install
# Find
find %{_datadir}/icons/*Papirus*/*/places -type d > custom-papirus.files
find %{_datadir}/icons/*Papirus*/ -type f -name "index.theme" >> custom-papirus.files

# Copy
while read line; do
    if [[ -d $line ]]; then
        mkdir -p %{buildroot}$line
        cp $line/* %{buildroot}$line/
    else
        cp $line %{buildroot}$line
    fi
done < custom-papirus.files

# Rename
cd %{buildroot}%{_datadir}/icons/

mv ePapirus ePapirus-%{variant}
mv Papirus Papirus-%{variant}
mv Papirus-Dark Papirus-%{variant}-Dark
mv Papirus-Light Papirus-%{variant}-Light

sed -i 's/Papirus/Papirus-%{variant}/' *Papirus-%{variant}*/index.theme

sed -i 's/elementary/ePapirus,elementary/' ePapirus-%{variant}/index.theme
sed -i 's/breeze/Papirus,breeze/' Papirus-%{variant}/index.theme
sed -i 's/breeze-dark/Papirus-Dark,breeze-dark/' Papirus-%{variant}-Dark/index.theme
sed -i 's/breeze/Papirus-Light,breeze/' Papirus-%{variant}-Light/index.theme

# Delete trash icons
find . -type f -name "*trash*" -exec rm -rf {} \;

# Based on Papirus Kolorizer
# https://github.com/DarthWound/papirus-kolorizer

find *Papirus-%{variant}*/*/places -type f -name "*.svg" -exec sed -i "s/5294e2/%{FrontColor}/gI" {} \;
find *Papirus-%{variant}*/*/places -type f -name "*.svg" -exec sed -i "s/4877b1/%{BackColor}/gI" {} \;

%fdupes %{buildroot}


%files
%{_datadir}/icons/ePapirus-%{variant}
%{_datadir}/icons/Papirus-%{variant}
%{_datadir}/icons/Papirus-%{variant}-Light
%{_datadir}/icons/Papirus-%{variant}-Dark


%changelog
* Wed Aug  5 2020 Antônio Vinícius Menezes Medeiros Medeiros <linuxkamarada@gmail.com> - 20200801
-  First packaging of the Papirus-Kamarada theme, based on Papirus and Papirus Kolorizer
